Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  class Power[ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
- Implicits1
- Implicits2
- InternalInfo
- InternalInfoWrapper
- LowPriorityInternalInfo
- LowPriorityInternalInfoWrapper
- LowPriorityPrettifier
- MultiPrettifierClass
- PackageSlurper
- Prettifier
- PrettifierClass
- ReplUtilities
- RichInputStream
- RichReplString
- RichReplURL
- SinglePrettifierClass
- StringPrettifier
- SymSlurper

c

scala.tools.nsc.interpreter.Power

# PackageSlurper

###

#### class PackageSlurper extends SymSlurper

Source
  Power.scala

Linear Supertypes
SymSlurper, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PackageSlurper
2. SymSlurper
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PackageSlurper(packageClass: Global.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PackageSlurper toany2stringadd[PackageSlurper] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PackageSlurper, B)
   Implicit
     This member is added by an implicit conversion from PackageSlurper toArrowAssoc[PackageSlurper] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(sym: Global.Symbol): Set[Global.Symbol]
   Definition Classes
     SymSlurper
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def discarded: Int
   Definition Classes
     SymSlurper
10.  def droppedEnough(): Boolean

    Looking for dwindling returns

11.  def ensuring(cond: (PackageSlurper) => Boolean, msg: => Any): PackageSlurper
    Implicit
      This member is added by an implicit conversion from PackageSlurper toEnsuring[PackageSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (PackageSlurper) => Boolean): PackageSlurper
    Implicit
      This member is added by an implicit conversion from PackageSlurper toEnsuring[PackageSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): PackageSlurper
    Implicit
      This member is added by an implicit conversion from PackageSlurper toEnsuring[PackageSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): PackageSlurper
    Implicit
      This member is added by an implicit conversion from PackageSlurper toEnsuring[PackageSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PackageSlurper toStringFormat[PackageSlurper] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def isFinished(): Boolean
    Definition Classes
      PackageSlurper → SymSlurper
22.  def isIgnore(sym: Global.Symbol): Boolean
    Definition Classes
      PackageSlurper → SymSlurper
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isKeep(sym: Global.Symbol): Boolean
    Definition Classes
      PackageSlurper → SymSlurper
25.  def isRecur(sym: Global.Symbol): Boolean
    Definition Classes
      PackageSlurper → SymSlurper
26.  val keep: HashSet[Global.Symbol]
    Definition Classes
      SymSlurper
27.  var lastCount: Int
    Definition Classes
      SymSlurper
28.  def loop(todo: Set[Global.Symbol]): Set[Global.Symbol]
    Definition Classes
      SymSlurper
29.  def members(x: Global.Symbol): List[Global.Symbol]
    Definition Classes
      SymSlurper
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  var pass: Int
    Definition Classes
      SymSlurper
34.  def processed: Int
    Definition Classes
      SymSlurper
35.  val seen: HashSet[Global.Symbol]
    Definition Classes
      SymSlurper
36.  def slurp(): Set[_ <: Global.Symbol]
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  val unseenHistory: ListBuffer[Int]
    Definition Classes
      SymSlurper
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (PackageSlurper, B)
   Implicit
     This member is added by an implicit conversion from PackageSlurper toArrowAssoc[PackageSlurper] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from SymSlurper

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPackageSlurper to any2stringadd[PackageSlurper]

### Inherited by implicit conversion StringFormat fromPackageSlurper to StringFormat[PackageSlurper]

### Inherited by implicit conversion Ensuring fromPackageSlurper to Ensuring[PackageSlurper]

### Inherited by implicit conversion ArrowAssoc fromPackageSlurper to ArrowAssoc[PackageSlurper]

### Ungrouped